<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.meeting.mapper.EgDeviceMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.meeting.domain.EgDevice">
        <id column="id" property="id" />
        <result column="device_uuid" property="deviceUuid" />
        <result column="device_id" property="deviceId" />
        <result column="device_name" property="deviceName" />
        <result column="install_address" property="installAddress" />
        <result column="service_status" property="serviceStatus" />
        <result column="device_ip" property="deviceIp" />
        <result column="device_port" property="devicePort" />
        <result column="eg_number" property="egNumber" />
        <result column="create_by" property="createBy" />
        <result column="update_by" property="updateBy" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="dept_id" property="deptId" />
        <result column="tenant_id" property="tenantId" />
    </resultMap>

</mapper>
